<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0250 -->






<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:Jeronimomartins="https://www.jeronimomartins.com" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/210000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R210000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/220000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R220000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/310000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R310000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/420000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R420000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/610000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R610000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/520000" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R520000"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/310001" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R310001"/>
  <link:roleRef roleURI="https://www.jeronimomartins.com/role/420001" xlink:type="simple" xlink:href="000320-2025-12-31.xsd#R420001"/>
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item"/>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/210000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_14"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="loc_13"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_14" xlink:to="loc_13" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_15"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_13" xlink:to="loc_15" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="loc_16"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_15" xlink:to="loc_16" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_15" xlink:to="ifrs-full_RetainedEarnings" order="50.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium" xlink:label="loc_33"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_15" xlink:to="loc_33" order="20.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares" xlink:label="loc_38"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_15" xlink:to="loc_38" order="30.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReserves" xlink:label="loc_47"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_15" xlink:to="loc_47" order="40.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncontrollingInterests" xlink:label="loc_27"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_13" xlink:to="loc_27" order="20.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_Noncurrentborrowings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_14" xlink:to="loc_Noncurrentborrowings" order="21.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="ifrs-full_NoncurrentLeaseLiabilities" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="ifrs-full_NoncurrentProvisionsForEmployeeBenefits"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="ifrs-full_NoncurrentProvisionsForEmployeeBenefits" order="5.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherLongtermProvisions" xlink:label="ifrs-full_OtherLongtermProvisions"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="ifrs-full_OtherLongtermProvisions" order="6.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="ifrs-full_DeferredTaxLiabilities" order="7.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="ifrs-full_LongtermBorrowings" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" xlink:title="calculation: NoncurrentLiabilities to TradeCreditorsAccruedCostsAndDeferredIncomeNonCurrent" order="3.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:label="NoncurrentDerivativeFinancialLiabilities" xlink:title="NoncurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Noncurrentborrowings" xlink:to="NoncurrentDerivativeFinancialLiabilities" xlink:title="calculation: NoncurrentLiabilities to NoncurrentDerivativeFinancialLiabilities" order="4.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_18"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_14" xlink:to="loc_18" order="22.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_18" xlink:to="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_18" xlink:to="ifrs-full_CurrentLeaseLiabilities" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_CurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_18" xlink:to="ifrs-full_CurrentDerivativeFinancialLiabilities" order="4.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_18" xlink:to="ifrs-full_CurrentTaxLiabilitiesCurrent" order="5.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:label="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_18" xlink:to="TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" xlink:title="calculation: CurrentLiabilities to TradeCreditorsAccruedCostsAndDeferredIncomeCurrent" order="3.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="loc_8"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_7"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="loc_7" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_9"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="loc_9" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentProperty" xlink:label="loc_21"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="loc_21" order="30.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets" xlink:label="ifrs-full_RightofuseAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ifrs-full_RightofuseAssets" order="40.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentBiologicalAssets" xlink:label="ifrs-full_NoncurrentBiologicalAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ifrs-full_NoncurrentBiologicalAssets" order="50.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ifrs-full_InvestmentAccountedForUsingEquityMethod" order="70.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" order="80.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ifrs-full_DeferredTaxAssets" order="110.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsNonCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCosts" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCosts"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="TradeDebtorsAccruedIncomeAndDeferredCosts" xlink:title="calculation: NoncurrentAssets to TradeDebtorsAccruedIncomeAndDeferredCosts" order="90.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" xlink:title="IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="IntangibleAssetsOtherThanGoodwill" xlink:title="calculation: NoncurrentAssets to IntangibleAssetsOtherThanGoodwill" order="18.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Goodwill" xlink:label="Goodwill" xlink:title="Goodwill"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="Goodwill" xlink:title="calculation: NoncurrentAssets to Goodwill" order="15.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentReceivablesDueFromRelatedParties" xlink:label="NoncurrentReceivablesDueFromRelatedParties" xlink:title="NoncurrentReceivablesDueFromRelatedParties"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="NoncurrentReceivablesDueFromRelatedParties" xlink:title="calculation: NoncurrentAssets to NoncurrentReceivablesDueFromRelatedParties" order="75.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="NoncurrentDerivativeFinancialAssets" xlink:title="NoncurrentDerivativeFinancialAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="NoncurrentDerivativeFinancialAssets" xlink:title="calculation: NoncurrentAssets to NoncurrentDerivativeFinancialAssets" order="100.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="loc_11"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="loc_11" order="20.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="ifrs-full_Inventories" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentBiologicalAssets" xlink:label="ifrs-full_CurrentBiologicalAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="ifrs-full_CurrentBiologicalAssets" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="ifrs-full_CurrentTaxAssetsCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="ifrs-full_CurrentTaxAssetsCurrent" order="3.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentDerivativeFinancialAssets" xlink:label="ifrs-full_CurrentDerivativeFinancialAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="ifrs-full_CurrentDerivativeFinancialAssets" order="5.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="ifrs-full_CashAndCashEquivalents" order="6.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:label="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_11" xlink:to="TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" xlink:title="calculation: CurrentAssets to TradeDebtorsAccruedIncomeAndDeferredCostsCurrent" order="4.0" weight="1.0"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/310000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_6"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_7"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_6" xlink:to="loc_7" order="21.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_8"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="loc_8" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdministrativeExpense" xlink:label="loc_20"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="loc_20" order="30.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DistributionCosts" xlink:label="loc_18"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="loc_18" order="20.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="loc_9"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="loc_9" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="loc_10"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="loc_10" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CostOfSales" xlink:label="ifrs-full_CostOfSales"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="ifrs-full_CostOfSales" order="11.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="OtherOperatingIncomeExpense" xlink:title="OtherOperatingIncomeExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_8" xlink:to="OtherOperatingIncomeExpense" xlink:title="calculation: ProfitLossFromOperatingActivities to OtherOperatingIncomeExpense" order="40.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="FinanceIncomeCost" xlink:title="FinanceIncomeCost"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="FinanceIncomeCost" xlink:title="calculation: ProfitLossBeforeTax to FinanceIncomeCost" order="20.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="calculation: ProfitLossBeforeTax to ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="21.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_GainsLossesInOtherInvestments" xlink:label="GainsLossesInOtherInvestments" xlink:title="GainsLossesInOtherInvestments"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_7" xlink:to="GainsLossesInOtherInvestments" xlink:title="calculation: ProfitLossBeforeTax to GainsLossesInOtherInvestments" order="22.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_6" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="22.0" weight="-1"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/310001">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:title="ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ProfitLossAttributableToNoncontrollingInterests"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossAttributableToNoncontrollingInterests" xlink:title="calculation: ProfitLoss to ProfitLossAttributableToNoncontrollingInterests" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ProfitLossAttributableToOwnersOfParent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossAttributableToOwnersOfParent" xlink:title="calculation: ProfitLoss to ProfitLossAttributableToOwnersOfParent" order="2.0" weight="1.0"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/520000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_3"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_1" xlink:to="loc_3" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_4"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_3" xlink:to="loc_4" order="15.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="calculation: CashFlowsFromUsedInOperations to CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ProfitLossAttributableToOwnersOfParent" xlink:title="ProfitLossAttributableToOwnersOfParent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ProfitLossAttributableToOwnersOfParent" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ProfitLossAttributableToOwnersOfParent" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ProfitLossAttributableToNoncontrollingInterests" xlink:title="ProfitLossAttributableToNoncontrollingInterests"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ProfitLossAttributableToNoncontrollingInterests" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to ProfitLossAttributableToNoncontrollingInterests" order="20.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="AdjustmentsForIncomeTaxExpense" xlink:title="AdjustmentsForIncomeTaxExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForIncomeTaxExpense" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForIncomeTaxExpense" order="30.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="AdjustmentsForDepreciationAndAmortisationExpense" xlink:title="AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForDepreciationAndAmortisationExpense" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForDepreciationAndAmortisationExpense" order="40.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:title="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" order="80.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="AdjustmentsForFinanceIncomeCost" xlink:title="AdjustmentsForFinanceIncomeCost"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForFinanceIncomeCost" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForFinanceIncomeCost" order="50.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" order="60.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:label="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:title="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" order="55.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="OtherAdjustmentsForNoncashItems" xlink:title="OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="OtherAdjustmentsForNoncashItems" xlink:title="calculation: CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to OtherAdjustmentsForNoncashItems" order="57.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories" xlink:title="AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" xlink:title="calculation: CashFlowsFromUsedInOperations to AdjustmentsForDecreaseIncreaseInInventories" order="20.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="calculation: CashFlowsFromUsedInOperations to AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="30.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="calculation: CashFlowsFromUsedInOperations to AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="40.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_AdjustmentsForProvisionsAndEmployeeBenefits" xlink:label="ProvisionsAndEmployeeBenefits" xlink:title="ProvisionsAndEmployeeBenefits"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ProvisionsAndEmployeeBenefits" xlink:title="calculation: CashFlowsFromUsedInOperations to ProvisionsAndEmployeeBenefits" order="50.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_30"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_3" xlink:to="loc_30" order="60.0" weight="-1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_9"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_1" xlink:to="loc_9" order="20.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:title="PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities" order="60.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" xlink:title="InterestReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="InterestReceivedClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to InterestReceivedClassifiedAsInvestingActivities" order="30.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" order="80.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" order="50.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_PurchaseOfInterestsInSubsidiariesNetOfCashAcquiredAndAssociates" xlink:label="PurchaseOfBusinessessNetOfCashAcquired" xlink:title="PurchaseOfBusinessessNetOfCashAcquired"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="PurchaseOfBusinessessNetOfCashAcquired" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfBusinessessNetOfCashAcquired" order="70.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:label="DividendsReceivedClassifiedAsInvestingActivities" xlink:title="DividendsReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="DividendsReceivedClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to DividendsReceivedClassifiedAsInvestingActivities" order="40.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromSalesOfInvestmentProperty" xlink:label="ProceedsFromSalesOfInvestmentProperty" xlink:title="ProceedsFromSalesOfInvestmentProperty"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_9" xlink:to="ProceedsFromSalesOfInvestmentProperty" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to ProceedsFromSalesOfInvestmentProperty" order="20.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_Leasesinterestpaid"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_1" xlink:to="loc_Leasesinterestpaid" order="30.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" xlink:title="DividendsPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="DividendsPaidClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to DividendsPaidClassifiedAsFinancingActivities" order="50.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LoansInterestPaid" xlink:label="lab_Loansinterestpaid"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="lab_Loansinterestpaid" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to Loansinterestpaid" order="10.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="000320-2025-12-31.xsd#Jeronimomartins_LeasesInterestPaid" xlink:label="lab_Leasesinterestpaid"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="lab_Leasesinterestpaid" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to Leasesinterestpaid" order="20.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="40.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="24.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="25.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:label="PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:title="PaymentsFromChangesInOwnershipInterestsInSubsidiaries"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_Leasesinterestpaid" xlink:to="PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to PaymentsFromChangesInOwnershipInterestsInSubsidiaries" order="52.0" weight="-1.0"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/610000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_3"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_1" xlink:to="loc_3" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_4"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_1" xlink:to="loc_4" order="9.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax" xlink:label="ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax" order="7.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="calculation: OtherComprehensiveIncome to OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" order="9.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:title="calculation: OtherComprehensiveIncome to ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" xlink:label="GainsLossesOnCashFlowHedgesNetOfTax" xlink:title="GainsLossesOnCashFlowHedgesNetOfTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="GainsLossesOnCashFlowHedgesNetOfTax" xlink:title="calculation: OtherComprehensiveIncome to GainsLossesOnCashFlowHedgesNetOfTax" order="3.0" weight="1.0"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/420000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_2"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_1"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_2" xlink:to="loc_1" order="10.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_4"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_2" xlink:to="loc_4" order="20.0" weight="1"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:title="calculation: OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax to OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" order="10.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:title="IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:title="calculation: OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax to IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" order="11.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="loc_4" xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" order="20.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" order="1.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" xlink:label="ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" order="3.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" order="6.0" weight="-1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" xlink:label="GainsLossesOnCashFlowHedgesBeforeTax" xlink:title="GainsLossesOnCashFlowHedgesBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="GainsLossesOnCashFlowHedgesBeforeTax" xlink:title="calculation: OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax to GainsLossesOnCashFlowHedgesBeforeTax" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:label="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:title="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" xlink:title="calculation: OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax to ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" order="5.0" weight="1.0"/>
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.jeronimomartins.com/role/420001">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeAttributableToOwnersOfParent"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToOwnersOfParent" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToOwnersOfParent" order="2.0" weight="1.0"/>
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ComprehensiveIncomeAttributableToNoncontrollingInterests"/>
    <link:calculationArc xlink:type="arc" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToNoncontrollingInterests" order="1.0" weight="1.0"/>
  </link:calculationLink>
</link:linkbase>
